pine(1)

NOMBRE
pine - un Programa para Noticias de Internet y Correo Electrónico

SINTAXIS

pine [ opciones ] [ dirección , dirección ]

pinef [ opciones ] [ dirección , dirección ]

DESCRIPCIÓN

Pine es una herramienta de manejo de mensajes orientada a la pantalla. En su configuración por defecto, Pine ofrece un conjunto de funciones intencionalmente limitado orientado al usuario novel, pero también cuenta con una creciente lista de opciones para los usuarios avanzados y características de preferencias personales. pinef es una variante de Pine que utiliza las teclas de función en lugar de comandos mnemónicos de una sola letra. El conjunto de características básicas de Pine incluyen:

    Ver (View), Guardar (Save), Exportar (Export), Borrar (Delete), Imprimir (Print), Responder (Reply) y Canalizar (Forward) mensajes.

    Prepara mensajes en un editor sencillo (Pico) con acomodamiento de palabras y verificación ortográfica. Los mensajes se puede posponer para su posterior terminación.

    Selección y manejo a pantalla completa de las carpetas de mensajes.

    Libro de direcciones para mantener una lista de direcciones largas o de uso frecuente. Es posible definir listas personales de distribución. Las direcciones se pueden tomar del correo entrante sin necesidad de volverlas a teclear.

    La verificación y notificación de nuevo correo ocurre automáticamente cada 2.5 minutos y después de ciertos comando, por ejemplo actualizar pantalla (ctrl-L)

    Pantallas de ayuda en línea sensibles al contexto.

Pine soporta MIME (Multipurpose Internet Mail Extensions), una norma de Internet para representar datos multipartes y multimedia en el correo electrónico. Pine permite guardar objetos MIME en un fichero, y en algunos casos, puede iniciar el programa adecuado para visualizar el objeto. Esto utiliza el fichero mailcap de configuración del sistema para determinar que programa puede procesar un tipo de objeto MIME particular. El compositor de mensajes de Pine no cuenta con capacidades multimedia integrales, pero cualquier tipo de fichero de datos --incluyendo multimedia-- puede ser añadido a un mensaje de texto y ser enviado utilizando las reglas de codificación MIME. Esto permite a cualquier grupo de individuos con programas de correo con capacidades MIME (por ejemplo Pine, Pine-PC, y varios otros programas) intercambiar documentos formateados, hojas de cálculo, ficheros de imagen, etc., por medio del correo electrónico de Internet.

Pine utiliza la API de mensajería c-client para acceder a carpetas de correo locales y remotas. Esta biblioteca provee una variedad de funciones de bajo nivel para el manejo de mensajes, incluyendo manejadores para una variedad de diferentes formatos de ficheros de correo, así como rutinas para acceder a servidores remotos de correo y noticias, utilizando IMAP (Internet Message Access Protocol) y NNTP (Network News Transport Protocol). El correo de salida generalmente se transfiere al programa Unix sendmail, pero opcionalmente puede ser enviado por medio de SMTP (Simple Mail Transfer Protocol).

OPCIONES

Las opciones/argumentos de la línea de comandos son:

dirección
    Enviar correo a dirección. Esto hace que Pine vaya directamente al compositor de mensajes.

-a  Modo especial anónimo para UWIN*

-attach fichero
    Enviar correo con el fichero listado como un anexo.

-attach_and_delete fichero
    Enviar correo con el fichero como un anexo, y eliminar el fichero después de enviar el mensaje.

-attachlist lista-ficheros
    Enviar correo con la lista-ficheros como un anexo.

-c número-contexto
    número contexto es el número correspondiente a la colección de carpetas a la cual el argumento -f de la línea de comandos debe ser aplicado. Por defecto, el argumento -f se aplica a la primera colección definida de carpetas

-d nivel-depuración
    Mandar información de diagnóstico en el nivel-depuración (0-9) al fichero .pine-debug[1-4] actual. Un valor de 0 desactiva la depuración y elimina el fichero .pine-debug

-d clave[=valor]
    Salida afinada de mensajes de diagnóstico, en donde "flush" provoca que el fichero de depuración se escriba sin buffering, "timestamp agrega a cada mensaje un indicador de fecha, "imap=n" donde n está entre 0 y 4 representa de nada a salida completa en el reporte de telemetría IMAP, "numfiles=n" donde n está entre 0 y 31 corresponde al número de ficheros de depuración que se desea mantener, y "verbose=n" donde n está entre 0 y 9 indica un límite inverso para la salida de mensajes.

-f carpeta
    Abrir carpeta (en la primer colección de carpetas definida, utilizar -c n para especificar otra colección) en lugar de INBOX.

-F fichero
    Abrir el fichero de texto nombrado con el navegador de Pine.

-h  Ayuda: listar las opciones de válidas de la línea de comandos.

-i  Iniciar en la pantalla FOLDER INDEX.

-I teclas
    Lista de teclas (separadas por comas) que Pine debe ejecutar al iniciarse.

-k  Utilizar las teclas de función para los comandos. Es igual a ejecutar el comando pinef.

-n número
    Iniciar con el número de mensaje actual establecido en número.

-nr Modo especial para UWIN*

-o  Abrir la primer carpeta como de sólo lectura

-p fichero-configuración
    Utilizar fichero-configuración como el fichero de configuración personal en lugar de .pinerc.

-P fichero-configuración
    Utilizar fichero-configuración en lugar del fichero de configuración general del sistema pine.conf.

-r  Utilizar el modo restringido/demostración. Pine se mandará correo a sí mismo únicamente y las funciones como guardar o exportar están restringidas.

-url url
    Abrir el url especificado. No se puede usar con combinación con las opciones -f,-F o -attach.

-z  Habilita ^Z y SIGTSTP de manera que pine puede ser suspendido.

-conf
    Produce una copia/muestra reciente del fichero de configuración del sistema, pine.conf, en la salida estándar. Este es diferente del fichero .pinerc de cada usuario individual.

-create_lu agenda orden
    Crea un fichero índice auxiliar para agenda y ordena agenda de acuerdo a orden, el cual puede ser dont-sort (no ordenar), nickname (apodo), fullname (nombre completo), nickname-with-lists-last o fullname-with-lists-last. Útil cuando se crean agendas globales o compartidas. Después de crear un fichero índice por este método, el fichero debe ser movido o copiado en una forma en que conserve el mtime del fichero de agenda. El mtime del fichero de agenda al momento en que el fichero índice fue creado se almacena en el fichero índice y se hace una comparación entre el valor almacenado y el mtime actual del fichero de agenda cuando alguien ejecuta pine. Si el mtime ha cambiado desde que el fichero índice fue creado, entonces pine reconstruiría el fichero índice. En otras palabras, no se debe generar el fichero índice con esta opción y luego cambiar la agenda a su destino final en una forma en que modifique el mtime del fichero.

-pinerc fichero
    Vacía una copia reciente de pinerc al fichero.

-sort orden
    Ordena la pantalla FOLDER INDEX en alguna de las siguientes formas: arrival (llegada), subject (asunto), from (de), date (fecha), size (tamaño), orderedsubj (asunto ordenado) o reverse (inverso). Arrival es la opción por defecto. La opción OrderedSubj simula un orden por hilos. Cualquier formato de ordenamiento puede ser invertido agregándole /reverse. Reverse Por si misma es igual a arrival/reverse.

-option=valor
    Asignar valor a la opción de configuración opción por ejemplo -signature-file=sig1 o -feature-list=signature-at-bottom (Nota: los valores feature-list son aditivos)

* UWIN = University of Washington Information Navigator

CONFIGURACIÓN

Existen varios niveles de configuración en Pine. Los valores de configuración en un determinado nivel se imponen a los valores en niveles inferiores. En orden ascendente de precedencia:

 o interconstruidos por defecto.
 o fichero pine.conf de configuración global del sistema.
 o fichero .pinerc personal (se puede establecer por medio del menú Setup/Config.)
 o opciones de la línea de comandos.
 o fichero pine.conf.fixed de configuración global del sistema.

Hay una excepción a la regla de que los valores de configuración son reemplazados por el valor de la misma opción en un nivel de precedencia más alto: la variable feature-list tiene valores que son aditivos, pero pueden ser negados añadiendo "no-" antes de un nombre individual de característica. Así mismo, Pine para Unix utiliza las siguientes variable de ambiente:

  TERM
  DISPLAY (determina si Pine puede presentar anexos IMAGE.)
  SHELL (si no está establecida, por defecto es /bin/sh )
  MAILCAPS (lista de nombres de ruta separada por punto y coma a los ficheros mailcap)

FICHEROS

/usr/spool/mail/xxxx    Carpeta por defecto para el correo entrante.
~/mail    Directorio por defecto para las carpetas de correo.
~/.addressbook    Fichero agenda por defecto.
~/.addressbook.lu    Fichero índice de agenda por defecto.
~/.pine-debug[1-4]    Registro de diagnóstico para depuración.
~/.pinerc    Fichero personal de configuración de Pine.
~/.newsrc    Fichero de suscripción/estado de News.
~/.signature    Fichero de firmas por defecto.
~/.mailcap    Fichero personal de capacidades de correo.
~/.mime.types    Fichero personal de extensiones de mapeo de tipos MIME.
/etc/mailcap    Fichero general de sistema de capacidades de correo.
/etc/mime.types    Fichero general de sistema de mapeo de extensiones de tipos
MIME.
/usr/local/lib/pine.info    Puntero local al administrador del sistema.
/usr/local/lib/pine.conf    Fichero de configuración global del sistema.
/usr/local/lib/pine.conf.fixed     Fichero de configuración no excluible.
/tmp/.\usr\spool\mail\xxxx    ficheros de bloqueo de buzones por carpeta.
~/.pine-interrupted-mail    Mensaje que fue interrumpido.
~/mail/postponed-msgs    Para mensajes pospuestos.
~/mail/sent-mail    Archivo de mensajes salientes.
~/mail/saved-messages    Destino por defecto para guardar mensajes.

VÉASE TAMBIÉN

pico(1), binmail(1), aliases(5), mailaddr(7), sendmail(8), spell(1), imapd(8)

Newsgroup: comp.mail.pine
Centro de Información de Pine: http://www.washington.edu/pine
Distribución fuente: ftp://ftp.cac.washington.edu/pine/pine.tar.Z
Notas Técnicas de Pine, incluidas en la distribución fuente.
Biblioteca API de mensajería C-Client, incluida en la distribución fuente.

RECONOCIMIENTOS

El equipo de desarrollo de Pine de la Universidad de Washington (parte de la
Oficina de Computación y Comunicaciones de la UW) incluye a:

 Líder de proyecto:                 Mike Seibel
 Autores principales:               Mike Seibel, Steve Hubert, Laurence Lundblade*
 Biblioteca C-Client & IMAPd:       Mark Crispin
 Pico, el PIne COmposer:            Mike Seibel
 Documentación:                     Varias personas!
 PC-Pine para Windows:              Tom Unger, Mike Seibel
 Supervisión de proyecto:           Terry Gray, Lori Stevens
 Jefes Principales:                 Ron Johnson, Mike Bryant
 Soporte adicional:                 NorthWestNet
 Código base inicial de Pine:       Elm, por Dave Taylor & USENET Community Trust
 Código base inicial de Pico:       MicroEmacs 3.6, por Dave G. Conroy
 Diseño de Interfaz de Usuario:     Inspirado en el UCLA's "Ben" mailer para MVS
 Sugerencias/correcciones/porteos:  Gente de todos lados!

   *Emeritus

Copyright 1989-1999 por la Universidad de Washington.
Pine y Pico son marcas registradas de la Universidad de Washington.

$Date: 1999/02/04 18:41:58 $